PCI_ENABLE_MSI(9)

NAME
pci_enable_msi - configure device's MSI capability structure

SYNOPSIS

int pci_enable_msi (struct pci_dev * dev);

ARGUMENTS

dev pointer to the pci_dev data structure of MSI device function

DESCRIPTION

Setup the MSI capability structure of device function with a single MSI vector upon its software driver call to request for MSI mode enabled on its hardware device function. A return of zero indicates the successful setup of an entry zero with the new MSI vector or non-zero for otherwise.